Eclipse GEF 3.2

## org.eclipse.gef.tools
Class MarqueeDragTracker

    java.lang.Object
      org.eclipse.gef.util.FlagSupport
          org.eclipse.gef.tools.AbstractTool
              org.eclipse.gef.tools.MarqueeSelectionTool
                  org.eclipse.gef.tools.MarqueeDragTracker

All Implemented Interfaces:
  DragTracker, RequestConstants, Tool

public class MarqueeDragTracker
extends MarqueeSelectionTool
implements DragTracker

A marqueeSelectionTool that implements the DragTracker interface.

Nested Class Summary

Nested classes inherited from class org.eclipse.gef.tools.AbstractTool
`AbstractTool.Input`

Field Summary

Fields inherited from class org.eclipse.gef.tools.MarqueeSelectionTool
`BEHAVIOR_CONNECTIONS_TOUCHED, BEHAVIOR_NODES_AND_CONNECTIONS, BEHAVIOR_NODES_CONTAINED, PROPERTY_MARQUEE_BEHAVIOR`

Fields inherited from class org.eclipse.gef.tools.AbstractTool
`MAX_FLAG, MAX_STATE, MOUSE_BUTTON_ANY, MOUSE_BUTTON1, MOUSE_BUTTON2, MOUSE_BUTTON3, PROPERTY_UNLOAD_WHEN_FINISHED, STATE_ACCESSIBLE_DRAG, STATE_ACCESSIBLE_DRAG_IN_PROGRESS, STATE_DRAG, STATE_DRAG_IN_PROGRESS, STATE_INITIAL, STATE_INVALID, STATE_TERMINAL`

Fields inherited from interface org.eclipse.gef.RequestConstants
`REQ_ADD, REQ_ALIGN, REQ_ALIGN_CHILDREN, REQ_CLONE, REQ_CONNECTION_END, REQ_CONNECTION_START, REQ_CREATE, REQ_CREATE_BENDPOINT, REQ_DELETE, REQ_DELETE_DEPENDANT, REQ_DIRECT_EDIT, REQ_MOVE, REQ_MOVE_BENDPOINT, REQ_MOVE_CHILDREN, REQ_OPEN, REQ_ORPHAN, REQ_ORPHAN_CHILDREN, REQ_RECONNECT_SOURCE, REQ_RECONNECT_TARGET, REQ_RESIZE, REQ_RESIZE_CHILDREN, REQ_SELECTION, REQ_SELECTION_HOVER`

Constructor Summary
`MarqueeDragTracker()`

Method Summary
`protected void` `handleFinished()` Called when the mouse button is released.

Methods inherited from class org.eclipse.gef.tools.MarqueeSelectionTool
`applyProperty, deactivate, getCommandName, getDebugName, handleButtonDown, handleButtonUp, handleDragInProgress, handleFocusLost, handleInvalidInput, handleKeyDown, isViewerImportant, setMarqueeBehavior, setViewer`

Methods inherited from class org.eclipse.gef.tools.AbstractTool

`activate, addFeedback, calculateCursor, commitDrag, createOperationSet, debug, executeCommand, executeCurrentCommand, focusGained, focusLost, getCommand, getCurrentCommand, getCurrentInput, getCurrentViewer, getDebugNameForState, getDefaultCursor, getDisabledCursor, getDomain, getDragMoveDelta, getLocation, getOperationSet, getStartLocation, getState, handleCommandStackChanged, handleDoubleClick, handleDrag, handleDragStarted, handleFocusGained, handleHover, handleKeyTraversed, handleKeyUp, handleMove, handleNativeDragFinished, handleNativeDragStarted, handleViewerEntered, handleViewerExited, isActive, isHoverActive, isInState, keyDown, keyTraversed, keyUp, mouseDoubleClick, mouseDown, mouseDrag, mouseHover, mouseMove, mouseUp, mouseWheelScrolled, movedPastThreshold, nativeDragFinished, nativeDragStarted, performViewerMouseWheel, reactivate, refreshCursor, releaseToolCapture, removeFeedback, resetFlags, setCurrentCommand, setCursor, setDefaultCursor, setDisabledCursor, setEditDomain, setHoverActive, setProperties, setStartLocation, setState, setToolCapture, setUnloadWhenFinished, stateTransition, unloadWhenFinished, viewerEntered, viewerExited`

Methods inherited from class org.eclipse.gef.util.FlagSupport
`getFlag, setFlag`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.gef.DragTracker
`commitDrag`

Methods inherited from interface org.eclipse.gef.Tool
`activate, deactivate, focusGained, focusLost, keyDown, keyTraversed, keyUp, mouseDoubleClick, mouseDown, mouseDrag, mouseHover, mouseMove, mouseUp, mouseWheelScrolled, nativeDragFinished, nativeDragStarted, setEditDomain, setProperties, setViewer, viewerEntered, viewerExited`

Constructor Detail

### MarqueeDragTracker

    public MarqueeDragTracker()

Method Detail

### handleFinished

    protected void handleFinished()

  Called when the mouse button is released. Overridden to do nothing, since a drag tracker does not need to unload when finished.

  Overrides:
    `handleFinished` in class `AbstractTool`
  See Also:
    `AbstractTool.unloadWhenFinished()`

Eclipse GEF 3.2

Copyright (c) IBM Corp. and others 2000, 2006. All Rights Reserved.